export class AlRenderOverlaidComponent {
    static get Object() {
        return {
            schema: {},
            init(_data) {
                this.setDepth(this.el.object3DMap.mesh);
                this.setDepth(this.el.object3DMap.text);
            },
            setDepth(mesh) {
                if (mesh) {
                    mesh.renderOrder = 999;
                    if (mesh.material) {
                        mesh.material.depthTest = false;
                    }
                }
            }
        };
    }
    static get Tag() {
        return "al-render-overlaid";
    }
}
